Banda Ancha EU

Comunidad de usuarios
de fibra, móvil y ADSL

Qué hacer cuando caduca el soporte para nuestra versión de Linux Mint para poder seguir instalando paquetes desde Synaptic

BocaDePez
BocaDePez

Aquí se explica paso a paso qué se puede hacer cuando caduca el soporte para nuestra versión de Linux Mint, que ha quedado obsoleta ( hay información sobre las fechas en (link roto) ), para poder seguir instalando paquetes desde Synaptic (sin hacer esto se pueden instalar algunos todavía pero siguiendo los pasos de abajo se pueden instalar más, concretamente los de los repositorios de Ubuntu del sitio web ubuntu.com -excepto los de seguridad, que no parecen guardarse en dicho sitio en directorios para versiones antiguas-).

+ Abrimos Nautilus

+ Pinchamos sobre la flecha de arriba hasta llegar a /

+ Entramos en etc

+ Pulsamos con el botón derecho del ratón sobre apt

+ Pinchamos sobre "Abrir como administrador"

+ Pulsamos con el botón derecho sobre sources.list

+ Situamos el puntero del ratón sobre "Abrir con"

+ Pinchamos sobre "Editor de textos"

+ En las líneas que empiecen por "deb http://archive.ubuntu.com/ubuntu/" (posiblemente sean 2) cambiamos "archive" por "old-releases", empezando, entonces, esas líneas por "deb http://old-releases.ubuntu.com/ubuntu/"

+ Pinchamos sobre el botón Guardar (arriba)

+ Cerramos gedit (el editor de textos) y las 2 ventanas de Nautilus

+ Abrimos el Centro de control

+ Abrimos el gestor de paquetes Synaptic (ponemos la clave si la pide y pulsamos Enter)

+ Pinchamos sobre el botón Recargar (arriba a la izquierda) y esperamos a que se termine de descargar la información de paquetes (comprobación de repositorios)

+ Si sale una ventanita con un aviso pulsamos sobre Cerrar

+ Esperamos a que se regenere el índice de búsqueda y encima de la casilla para buscar se indique "Búsqueda rápida"

¡Listo!

Ya podemos buscar paquetes en Synaptic y pedirle que nos los descargue e instale automáticamente, como antes.

Saludos

Filiprino

Mira tú por donde, el otro día andaba buscando repositorios antiguos. Sabía que Canonical mantenía el software de las distros viejas, pero no sabía qué servidor. Total, son apenas ~70 GB por distro moderna, las antiguas que tenían menos software será menos. Eso para un servidor es una minucia.

mceds
-1

Si el destinatario de ese tutorial desea mantener una versión antigua de una distribución clásica, será por algún motivo determinado, ¿no crees? Si no, le bastaría con actualizar a la Mint más moderna. Por tanto, tu recomendación de instalar una rolling release está fuera de lugar.

🗨️ 1
BocaDePez
BocaDePez
1

Bueno, yo abrí este hilo y comento que lo mío es por salir del paso (una solución rápida que deja las cosas más o menos igual), dándome tiempo antes de cambiar de versión de Mint o de distro, ... (tiempo dedicado a otras cosas más prioritarias para mí en estos tiempos).

No está fuera de lugar el comentario sobre Manjaro, ni mucho menos. Creo que es una buena idea y se agradece. Así tengo más para elegir en el futuro ...

anthrax

Hola,

ya que Mint esta basada en ubuntu, se rige por las actualizaciones/soporte que proporciona ubuntu. Hasta ahí todo normal :)

Si se desea tener siempre soporte hay dos opciones (de peregrullo ;) ):

  • Usar una versión reciente que aún disponga de actualizaciones.
  • Usar una versión Mint que se base en una versión LTS de ubuntu. Estas versiones tienen actualizaciones durante más tiempo que el resto de versiones.

Un saludo B-)

BocaDePez
BocaDePez

En LInux Mint 15 (Olivia) MATE el fichero a editar es:

/etc/apt/sources.list.d/official-package-repositories.list